# T011 · Querying online API webservices

Authors:

- Jaime Rodríguez-Guerra, 2020-2021, [Volkamer lab, Charité](https://volkamerlab.org/)
- Dominique Sydow, 2021, [Volkamer lab, Charité](https://volkamerlab.org/)
- David Schaller, 2021, [Volkamer lab, Charité](https://volkamerlab.org/)


## Aim of this talktorial

In this notebook, you will learn how to programmatically use online web-services from Python, in the context of drug design. By the end of this talktorial, you will be familiar with REST services and web scraping.


### Contents in Theory

* Data access from a server-side perspective


### Contents in Practical

* Downloading static files
* Accessing dynamically generated content
* Programmatic interfaces
* Document parsing
* Browser remote control


### References

This guide is very practical and omits some technical definitions for the sake of clarity. However, you should also handle some basic terminology to fully understand what is going on behind the scenes.

* [Client-server model](https://en.wikipedia.org/wiki/Client%E2%80%93server_model)
* [Web API](https://en.wikipedia.org/wiki/Web_API)
* [Query strings](https://en.wikipedia.org/wiki/Query_string)
* [REST](https://en.wikipedia.org/wiki/Representational_state_transfer)
* [JSON](https://en.wikipedia.org/wiki/JSON)
* [Swagger / OpenAPI](https://en.wikipedia.org/wiki/Swagger_(software))
* [HTTP overview](https://developer.mozilla.org/en-US/docs/Web/HTTP/Overview)
